SoMotion3Event(3IV)

NAME
SoMotion3Event — 3D motion events

INHERITS FROM
SoEvent > SoMotion3Event

SYNOPSIS
#include <Inventor/events/SoMotion3Event.h>

Methods from class SoMotion3Event:

SoMotion3Event()
static SoType
getClassTypeId()
void
setTranslation(const SbVec3f &t)
const SbVec3f &
getTranslation() const
void
setRotation(const SbRotation &r)
const SbRotation &
getRotation() const

Methods from class SoEvent:

virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
void
setTime(SbTime t)
SbTime
getTime() const
void
setPosition(const SbVec2s &p)
const SbVec2s &
getPosition() const
const SbVec2s &
getPosition(const SbViewportRegion &vpRgn) const
const SbVec2f &
getNormalizedPosition(const SbViewportRegion &vpRgn) const
void
setShiftDown(SbBool isDown)
void
setCtrlDown(SbBool isDown)
void
setAltDown(SbBool isDown)
SbBool
wasShiftDown() const
SbBool
wasCtrlDown() const
SbBool
wasAltDown() const

DESCRIPTION
SoMotion3Event represents 3D relative motion events in the Inventor event model.

METHODS

SoMotion3Event()
Constructor.

static SoType
getClassTypeId()
Return the type id for the SoMotion3Event class.

void
setTranslation(const SbVec3f &t)
const SbVec3f &
getTranslation() const
Set and get the relative change in translation since the last translation event.

void
setRotation(const SbRotation &r)
const SbRotation &
getRotation() const
Set and get the relative change in rotation since the last rotation event.

SEE ALSO
SoEvent, SoButtonEvent, SoKeyboardEvent, SoLocation2Event, SoMouseButtonEvent, SoSpaceballButtonEvent, SoHandleEventAction, SoEventCallback, SoSelection, SoInteraction, SoXtDevice